### Name: computeTestKolmogorovTriangular
### Title: Compute the Kolmogorov-Smirnoff test on a Triangular
###   Distribution sample.
### Aliases: computeTestKolmogorovTriangular
### Keywords: distribution

### ** Examples

# Standard Triangular distribution example.
a <- -1.0
m <- 2.0
b <- 6.0
point <- runif(1000)
sample <- ifelse(point < (m - a) / (b - a), a + sqrt(point * (b - a) *
(m - a)), b - sqrt((1.0 - point) * (b - a) * (b - m))) 
print(computeTestKolmogorovTriangular(sample, -1, 2, 6))
print(computeTestKolmogorovTriangular(sample, -1, 1.5, 6))



