#                                               -*- Python -*-
#
# @file  controlwindow.py
# @brief The definition of the window that control all the other windows
#
# (C) Copyright 2005-2007 EDF-EADS-Phimeca
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License.
#
# This library is distributed in the hope that it will be useful
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
# @author: $LastChangedBy: dutka $
# @date:   $LastChangedDate: 2008-06-26 13:50:17 +0200 (jeu, 26 jun 2008) $
# Id:      $Id: controlwindow.py 862 2008-06-26 11:50:17Z dutka $
#
# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'controlwindow.ui'
#
# Created: Fri Aug 24 10:56:08 2007
#      by: The PyQt User Interface Compiler (pyuic) 3.16
#
# WARNING! All changes made in this file will be lost!


from qt import *


class ControlWindow(QDialog):
    def __init__(self,parent = None,name = None,modal = 0,fl = 0):
        QDialog.__init__(self,parent,name,modal,fl)

        if not name:
            self.setName("ControlWindow")
            
        self.setSizePolicy(QSizePolicy(QSizePolicy.Minimum,QSizePolicy.Minimum,0,0,self.sizePolicy().hasHeightForWidth()))
        self.setGeometry(QRect(30,30,160,90))

        self.btnClose = QPushButton(self,"btnClose")
        self.btnClose.setGeometry(QRect(0,0,130,30))

        self.btnQuit = QPushButton(self,"btnQuit")
        self.btnQuit.setGeometry(QRect(0,30,130,30))

        self.languageChange()

        self.resize(QSize(130,60).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)

        self.connect(self.btnClose,SIGNAL("clicked()"),self.doclosed)
        self.connect(self.btnQuit,SIGNAL("clicked()"),self.doquit)


    def languageChange(self):
        self.setCaption(self.__tr("Image Viewer Control"))
        self.btnClose.setText(self.__tr("Close All Windows"))
        self.btnQuit.setText(self.__tr("Quit Display"))


    def doquit(self):
        self.emit(PYSIGNAL("doquit()"),())
        pass

    def doclosed(self):
        self.emit(PYSIGNAL("doclosed()"),())
        pass

    def __tr(self,s,c = None):
        return qApp.translate("ControlWindow",s,c)
